<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "../conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

// $arSeries = explode(',',$_SESSION['permiso_series']);
// $completaQuery = "";
// if($_SESSION['esAdmin_p_prov_absa'] != "SI")
//     $completaQuery = "where id_perfil=".$_SESSION['perfil'];

// if($_SESSION['todo_RFC_p_prov_absa'] == "SI"){
// 	$completaQuery = "";
// }
// $resultRFC=mysqli_query($conexion->CONEXION,"select id,rfc,user_rfc,nombre from rfc_perfil $completaQuery order by nombre");
//echo "select id,rfc,user_rfc,nombre from rfc_perfil $completaQuery order by nombre";exit;
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script type="text/javascript" src="libs/jqueryEasy_1.2.5/jquery.easyui.min.js"></script>
<script>
    
    var pagina=1;
    var totalrows=0;
    var no_paginas=0;
    
	var ban_busca=false;
	
    var serie="";
    var folio="";
    var uuid="";
    var emisor_rfc="";
    var emisor_nombre="";
    var RFCReceptor="";
    var fecha_emision_inicio="";
    var fecha_emision_final="";
	var status_pago_buscar_nppcfdi = new Array();
	
	var currentTime = new Date();
	var currentTimezone = currentTime.getTimezoneOffset();
	//currentTimezone = (currentTimezone/60) * -1;
	currentTimezone = (currentTimezone/60);
	var gmt = 'Etc/GMT';
	if (currentTimezone !== 0) {
	  gmt += currentTimezone > 0 ? ' +' : ' ';
	  gmt += currentTimezone;
	}
	var timeZone = gmt;
    
$j_6(document).ready(function() {
    $j_6('#form, #fat, #formBusca').submit(function() {
        $j_6("body").addClass("loading");
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            /*beforeSend:function(){
                var prefijo = $j_6("#prefijo").val();
                var tipo_usuario_vimifos = $j_6("#tipo_usuario_vimifos").val();
                if(prefijo == "-" && tipo_usuario_vimifos == "DOCTOR"){
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    alert("Debe de ingresar un prefijo valido para un usuario DOCTOR.");
                    return false;
                }
                
            },*/
            success: function(data) {
                $j_6('#resultNoPagadas').html(data);
				$j_6("#no_page").val("1");
                $j_6("body").removeClass("loading");
            }
        })
        
        return false;
    });
    $j_6('#fecha_emision_inicio').mask("9999-99-99",{placeholder:"_"});
	$j_6('#fecha_emision_final').mask("9999-99-99",{placeholder:"_"});
	
	$j_6('#status_pago_buscar_nppcfdi').combotree('loadData', 
            [{
                    "id":0,
                    "text":"Sin Pagos / NP"
                    //"iconCls":"icon-R"
             },
             {
                    "id":1,
                    "text":"Con Pagos / NP"
                    //"iconCls":"icon-W"
             },
             {
                    "id":2,
                    "text":"Pagada completamente / NP"
                    //"iconCls":"icon-A"
             },
             {
                    "id":3,
                    "text":"Pago Mayor al Documento / NP"
                    //"iconCls":"icon-A"
             },
             {
                    "id":4,
                    "text":"Sin Pagos / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":5,
                    "text":"Con Pagos / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":6,
                    "text":"Pagada completamente / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":7,
                    "text":"Pago Mayor al Documento / PCFDI"
                    //"iconCls":"icon-A"
             },
             {
                    "id":8,
                    "text":"Vencido para pago / PUE"
                    //"iconCls":"icon-A"
             },
             {
                    "id":9,
                    "text":"Pago duplicado / PUE"
                    //"iconCls":"icon-A"
             },
             {
                    "id":10,
                    "text":"Pago despues de vigencia / PUE"
                    //"iconCls":"icon-A"
             }
            ]);
});

$j_6(function() {
	$j_6( "#fecha_emision_inicio" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#fecha_emision_final" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});
	$j_6( "#fecha_emision_inicio" ).datepicker("option", "dateFormat", "yy-mm-dd");	
	$j_6( "#fecha_emision_final" ).datepicker("option", "dateFormat", "yy-mm-dd");
});

var statusOcultarMostrarBuscar = false;
function ocultarMostrarBuscar(obj){
	if(statusOcultarMostrarBuscar == false){
		obj.src="Imagenes/mostrarBuscar.png";
		statusOcultarMostrarBuscar = true;
		$j_6("#formularioRecibedoce").hide();
		obj.title="Mostrar busqueda";
	}else{
		obj.src="Imagenes/ocultarBuscar.png";
		statusOcultarMostrarBuscar = false;
		$j_6("#formularioRecibedoce").show();
		obj.title="Ocultar busqueda";
	}
}

function firstPage(){
    if(ban_busca){
        pagina=1;
        cambiaPagina(1);
        $j_6('#no_page').val("1");
    }
}
function lastPage(){
    if(ban_busca){
        pagina=no_paginas;
        cambiaPagina(no_paginas);
        $j_6('#no_page').val(no_paginas);
    }
}
function nextPage(){
    if(ban_busca){
        if(pagina != no_paginas){
            if(pagina<no_paginas){
                pagina=pagina+1;
            }else{
                pagina=no_paginas;
            }
            cambiaPagina(pagina);
            $j_6('#no_page').val(pagina);
        }
    }
}
function prevPage(){
    if(ban_busca){
        if(pagina>=2){
            pagina=pagina-1;
                cambiaPagina(pagina);
            $j_6('#no_page').val(pagina);
        }
    }
}

function setPage(e){
    var tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==13){
        if(ban_busca){
            var pa = $j_6("#no_page").val();
            if(pa<=no_paginas){
                pagina=pa;
                cambiaPagina(pa);
            }else{
                lastPage();
            }
        }
    }
}

function cambiaPagina(p){
    document.getElementById('btn_agrega').src="Imagenes/loading.gif";
	$j_6("body").addClass("loading");
    $j_6.post("formularios/extras/validaMontosPagoIngreso.php", { serie: serie, folio: folio, uuid: uuid, 
        emisor_rfc: emisor_rfc,
        emisor_nombre: emisor_nombre,
        RFCReceptor: RFCReceptor,
        status_pago_buscar_nppcfdi: status_pago_buscar_nppcfdi,
        fecha_emision_inicio: fecha_emision_inicio,
        fecha_emision_final: fecha_emision_final,
        pagina_actual: pagina,
        noregistros: totalrows,
        no_paginas: no_paginas
		
    },function(data){
		
                    $j_6('#resultNoPagadas').html(data);
                    document.getElementById('btn_agrega').src="Imagenes/search.png";
					$j_6("body").removeClass("loading");
    });
}
function descargarFaltantes(){
	var arrStatus = "";
	$j_6('input[name="status_pago_buscar_nppcfdi[]"]').each(function(index) { 
		if(arrStatus == ""){
			arrStatus = $j_6('input[name="status_pago_buscar_nppcfdi[]"]:eq('+index+')').val();
		}else{
			arrStatus = arrStatus+","+$j_6('input[name="status_pago_buscar_nppcfdi[]"]:eq('+index+')').val();
		}
		
	});
	
	window.open("excel/excelLayoutFaltantesPago.php?serie="+$j_6("#serie").val()+"&folio="+$j_6("#folio").val()+
		"&uuid="+$j_6("#uuid").val()+"&fecha_emision_inicio="+$j_6("#fecha_emision_inicio").val()+
		"&fecha_emision_final="+$j_6("#fecha_emision_final").val()+"&status="+arrStatus+
		"&emisor_nombre="+$j_6("#emisor_nombre").val()+"&emisor_rfc="+$j_6("#emisor_rfc").val()+"&RFCReceptor="+$j_6("#RFCReceptor").val());
		
}

var fecha = new Date();
fecha.setDate(fecha.getDate() - 29);
var FechaFormateada = fecha.getFullYear()+"-"+("0" + (fecha.getMonth() + 1)).slice(-2)+"-"+("0" + fecha.getDate()).slice(-2);
$j_6('#fecha_emision_inicio').val(FechaFormateada);

$j_6('#status_pago_buscar_nppcfdi').combotree('reload');
</script>
<style>
.formInputBusca{
	font-size: 12px; 
	border-color: #fbca93;
        width: 140px;
}
.formInputBusca[readonly=true]{
	font-size: 12px; 
	border-color: #fbca93;
	background-color: #d4cab5;
}
</style>
<table width="100%" bgcolor="white">
    <tr>
        <td valign="top" class="txt_logindat" align="left" width="100%"><center><h2>Validar documentos faltantes de pago&nbsp;&nbsp;<img onclick="ocultarMostrarBuscar(this)" title="Ocultar busqueda" style="cursor:pointer" src="Imagenes/ocultarBuscar.png" width="18" height="18"></h2></center></td>
    </tr>
	<tr>
        <td id="formularioRecibedoce">
            <form action="formularios/extras/validaMontosPagoIngreso.php" name="formBusca" id="formBusca">
				<input type="hidden" name="timeZone" id="timeZone"/>
                <table>
					<tr>
                        <td valign="top" class="txt_logindat" align="center" colspan = "6">
                            <font style="font-size: 15px; border-color: #fbca93; font-weight: bold">Buscar documento:</font>
                        </td>
					</tr>
					<tr>
						<td valign="top" class="txt_logindat" align="center">
								<font style="font-size: 15px; border-color: #fbca93">Receptor:</font>
						</td>
						<td  valign="top" class="txt_logindat" align="center" colspan="5">
							<?if(strtoupper(trim($_SESSION['usuario_p_prov_absa'])) == "ADMIN"){?>
								<select name="RFCReceptor" id="RFCReceptor" class="formInputBusca" style="width: 265px">
								<?
									$query="select rfc from receptor";
									$resultado=mysqli_query($conexion->CONEXION,$query);
									while($temp=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
									{?>
									<option value="<?=$temp["rfc"];?>" <? if($_SESSION['RFC_RECEPTOR_PORTAL'] == $temp["rfc"]){echo "selected";}?>><? echo $temp["rfc"];?></option>
									<?
									}
								mysqli_free_result($resultado);
								?>
								</select>
							<?}else{?>
								<input type="text" class="formInputBusca" name="RFCReceptor" id="RFCReceptor" value="<?=$_SESSION['RFC_RECEPTOR_PORTAL']?>" readonly="true">
							<?}?>
						</td>
					</tr>
                    <tr>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Serie:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input onkeyup="onlyAlpha(this)" type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="serie" name="serie"/>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Folio:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input onkeyup="onlyNums(this)" type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="folio" name="folio"/>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">UUID:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="uuid" name="uuid"/>
                        </td>
                    </tr>
					<tr>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Fecha Emision Inicial:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="fecha_emision_inicio" name="fecha_emision_inicio" class=""/>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Fecha Emision Final:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="fecha_emision_final" name="fecha_emision_final" class=""/>
                        </td>
						<td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Estado</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <!--<select style="font-size: 15px; border-color: #fbca93; width: 200px" id="status" name="status">
								<option value="FALTANTEPAGO">Faltantes de pago</option>
								<option value="YAPAGADO">Ya pagado</option>
								<option value="">Todos</option>
							</select>-->
							<select class="easyui-combotree" id="status_pago_buscar_nppcfdi" name="status_pago_buscar_nppcfdi[]"  multiple="true" cascadeCheck="false" style="width:350px;"></select>
                        </td>
                    </tr>
					<tr>
                        <td valign="top" class="txt_logindat" align="center" colspan = "6">
                            <font style="font-size: 15px; border-color: #fbca93; font-weight: bold">Datos del proveedor:</font>
                        </td>
					</tr>
                    <tr>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">Nombre:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="emisor_nombre" name="emisor_nombre"/>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <font style="font-size: 15px; border-color: #fbca93">RFC:</font>
                        </td>
                        <td valign="top" class="txt_logindat" align="center">
                            <input type="text" style="font-size: 15px; border-color: #fbca93" size="25" id="emisor_rfc" name="emisor_rfc"/>
                        </td>
                    </tr>
                    
                    <tr>
                        <td>
                        <img src="Imagenes/search.png" id="btn_agrega" onclick="$j_6('#btn_busca').click();" width="24" height="24"/>
						<img src="Imagenes/excel.png" id="btn_agrega" onclick="descargarFaltantes();" width="24" height="24"/>
                        <div style="display: none"><input type='submit' id='btn_busca'/></div>
                        </td>
						<td valign="center"><img style="cursor: pointer" src="Imagenes/first.png" width="25" height="20" onclick="firstPage();"><img style="cursor: pointer" src="Imagenes/prev.png" width="25" height="20" onclick="prevPage();"><input type="text" size="5" value="1" onkeyup="onlyNums(this)" onkeypress="setPage(event)" id="no_page"style="font-size: 15px; border-color: #fbca93; text-align: center"/><img style="cursor: pointer" src="Imagenes/next.png" width="25" height="20" onclick="nextPage();"><img style="cursor: pointer" src="Imagenes/last.png" width="25" height="20" onclick="lastPage();"></td>
                    </tr>
					<tr>
                        <td style="background-color: red" align="center">
                            <b><font style="font-size: 15px; border-color: #fbca93">Diferencias</font></b>
                        </td>
						<td style="background-color: orange" align="center">
                            <b><font style="font-size: 15px; border-color: #orange">Se aplicó tolerancia</font></b>
                        </td>
						<td style="background-color: yellow" align="center">
                            <b><font style="font-size: 15px; border-color: #orange">Se recibio REP para un PUE</font></b>
                        </td>
                    </tr>
					
					
                </table>
            </form>
    </tr>
</table>
<table width="100%">
    <tr>
    <td valign="top" class="txt_logindat" width="800" height="35"><div id="resultNoPagadas"></div></td>
    </tr>
</table>
<script>
	document.getElementById('timeZone').value=timeZone;
</script>
